Eclipse Platform Release 3.7

## org.eclipse.team.core
Class TeamStatus

    java.lang.Object
      org.eclipse.core.runtime.Status
          org.eclipse.team.core.TeamStatus

All Implemented Interfaces:
  IStatus, ITeamStatus

    public class TeamStatus

extends Status
implements ITeamStatus

Status that is returned from some Team operations or is the payload of some TeamExceptions.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.core.runtime.Status
`CANCEL_STATUS, OK_STATUS`

Fields inherited from interface org.eclipse.team.core.ITeamStatus
`READ_ONLY_LOCAL, RESOURCE_SYNC_INFO_ERROR, SYNC_INFO_SET_CANCELLATION, SYNC_INFO_SET_ERROR`

Fields inherited from interface org.eclipse.core.runtime.IStatus
`CANCEL, ERROR, INFO, OK, WARNING`

Constructor Summary
`TeamStatus(int severity, String pluginId, int code, String message, Throwable exception, IResource resource)` Create a new status object.

Method Summary
`IResource` `getResource()` Return the resource associated with this status.

Methods inherited from class org.eclipse.core.runtime.Status
`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches, setCode, setException, setMessage, setPlugin, setSeverity, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IStatus
`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches`

Constructor Detail

### TeamStatus

    public TeamStatus(int severity,
                      String pluginId,
                      int code,
                      String message,
                      Throwable exception,
                      IResource resource)

  Create a new status object.

  Parameters:
    `severity` - the severity; one of `OK`, `ERROR`, `INFO`, or `WARNING`
    `pluginId` - the unique identifier of the relevant plug-in
    `code` - the plug-in-specific status code, or `OK`
    `message` - a human-readable message, localized to the current locale
    `exception` - a low-level exception, or `null` if not applicable
    `resource` - the resource associated with the exception

Method Detail

### getResource

    public IResource getResource()

  Return the resource associated with this status.

  Specified by:
    `getResource` in interface `ITeamStatus`
  Returns:
    Returns the resource.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.